diff master/bin/vmss_create.sh @ 7:a7637c994964

cull_network.py, parse_load_balance.py, vmss_setup.sh x 2, vmss_create.sh: From kenneth, slight mods in some cases share.sh: Distribute files to workers wrun.sh, invoke.sh: From last year, slight mods
author Henry S. Thompson <ht@markup.co.uk>
date Sun, 30 Sep 2018 20:53:43 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/master/bin/vmss_create.sh	Sun Sep 30 20:53:43 2018 +0000
@@ -0,0 +1,13 @@
+#!/bin/bash
+set -e
+if ([ "$1" != "--resource-group" ] && [ "$1" != "-g" ]) || ([ "$3" != "--name" ] && [ "$3" != "-n" ]); then
+  cat 1>&2 <<EOF
+Usage: $0 --resource-group group --name name ...
+All arguments are forwarded to az vmss create, so see that for help.
+However, you must have --resource-group group --name name at the beginning.
+That way they can be passed to $(dirname "$0")/vmss_setup.sh
+EOF
+fi
+az vmss create "$@"
+echo created, setting up...
+"$(dirname "$0")"/vmss_setup.sh $1 $2 $3 $4